## renpy-fribidi 0.19.2-2

=== debian/changelog ===
renpy-fribidi (0.19.2-2) unstable; urgency=low

  * Remove manpages in the packages which will conflict with the
    libfribidi package

 -- Yuting Cui <yutingcui@gmail.com>  Thu, 10 Jun 2010 14:34:00 +0800

renpy-fribidi (0.19.2-1) unstable; urgency=low

  * Initial port to maemo5 for Ren'Py

 -- Yuting Cui <yutingcui@gmail.com>  Wed, 9 Jun 2010 17:21:00 +0800
