=== debian/changelog ===
renpy-fribidi (0.19.2-3) unstable; urgency=low

  * Change the so file version to resolve the conflict with the
    libfribidi package

 -- Yuting Cui <yutingcui@gmail.com>  Thu, 11 Jun 2010 03:10:00 +0800
