=== debian/control ===
Source: renpy-fribidi
Section: libs
Priority: extra
Maintainer: Cui Yuting <yutingcui@gmail.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>> 3.0.0), pkg-config

Package: lib-renpy-fribidi0
Architecture: any
Depends: ${shlibs:Depends}
Description: Free Implementation of the Unicode BiDi algorithm
 FriBiDi is a BiDi algorithm implementation for Hebrew and/or Arabic
 languages.
 .
 Upstream: http://freedesktop.org/Software/FriBidi

Package: lib-renpy-fribidi-dev
Architecture: any
Section: libdevel
Depends: lib-renpy-fribidi0 (= ${Source-Version})
Description: Development files for FreeBidi library
 This package contains the header files and static libraries for the
 FriBidi C library.
 .
 Upstream: http://freedesktop.org/Software/FriBidi

Package: lib-renpy-fribidi0-udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: libc-udeb
Description: Free Implementation of the Unicode BiDi algorithm
 This Debian Installer component provided Bidirectional support 
 for Arabic and/or Hebrew languages.
