=== debian/rules ===
--- 
+++ 
@@ -72,8 +72,8 @@
 	dh_installman -a -N$(FRIBIDI_UDEB)
 	dh_installchangelogs fribidi-0.19.2/ChangeLog -a -N$(FRIBIDI_UDEB)
 	mkdir -p debian/$(FRIBIDI_UDEB)/lib
-	cp -a debian/lib-renpy-fribidi0/usr/lib/*.so.0.* debian/$(FRIBIDI_UDEB)/lib
-	$(STRIP) debian/$(FRIBIDI_UDEB)/lib/libfribidi.so.0.3.1
+	cp -a debian/lib-renpy-fribidi0/usr/lib/*.so.3.* debian/$(FRIBIDI_UDEB)/lib
+	$(STRIP) debian/$(FRIBIDI_UDEB)/lib/libfribidi.so.3.0.0
 	dh_strip
 	dh_link
 	dh_compress
