=== debian/watch ===
version=2
http://freedesktop.org/~fribidi/download/fribidi-([\d\.]+)\.tar\.gz
